Bug 111994 - [CI][BAT] igt@i915_selftest@live_requests - dmesg-warn - ODEBUG: free active (active state 0) object type: timer_list hint: delayed_work_timer_fn+0x0/0x10
Summary: [CI][BAT] igt@i915_selftest@live_requests - dmesg-warn - ODEBUG: free active...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-14 10:44 UTC by Lakshmi
Modified: 2019-11-15 16:51 UTC (History)
1 user (show)

See Also:
i915 platform: CML
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-10-14 10:44:15 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7073/fi-cml-u2/igt@i915_selftest@live_requests.html

 ODEBUG: free active (active state 0) object type: timer_list hint: delayed_work_timer_fn+0x0/0x10
<4> [444.490868] WARNING: CPU: 2 PID: 4424 at lib/debugobjects.c:484 debug_print_object+0x67/0x90
<4> [444.490874] Modules linked in: i915(+) amdgpu gpu_sched ttm vgem snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp cdc_ether usbnet snd_intel_nhlt mii snd_hda_codec crct10dif_pclmul snd_hwdep snd_hda_core crc32_pclmul snd_pcm ghash_clmulni_intel prime_numbers [last unloaded: i915]
<4> [444.490913] CPU: 2 PID: 4424 Comm: i915_selftest Tainted: G     U            5.4.0-rc2-CI-CI_DRM_7073+ #1
<4> [444.490919] Hardware name: Intel Corporation WhiskeyLake Client Platform/CometLake U DDR4 HR ERB, BIOS CMLSFWR1.R00.1125.D00.1903221424 03/22/2019
<4> [444.490928] RIP: 0010:debug_print_object+0x67/0x90
<4> [444.490936] Code: 83 c2 01 8b 4b 14 4c 8b 45 00 89 15 f7 a0 4c 02 8b 53 10 4c 89 e6 48 c7 c7 e0 6a 0e 82 48 8b 14 d5 20 0f e7 81 e8 09 84 bb ff <0f> 0b 5b 83 05 b3 c6 e4 00 01 5d 41 5c c3 83 05 a8 c6 e4 00 01 c3
<4> [444.490942] RSP: 0018:ffffc900006439e8 EFLAGS: 00010286
<4> [444.490950] RAX: 0000000000000000 RBX: ffff8884436d6760 RCX: 0000000000000001
<4> [444.490956] RDX: 0000000080000001 RSI: ffff8884454f58d0 RDI: 00000000ffffffff
<4> [444.490961] RBP: ffffffff822486e0 R08: ffff8884454f58d0 R09: 0000000000000000
<4> [444.490967] R10: 0000000000000000 R11: 0000000000000000 R12: ffffffff820d01ed
<4> [444.490972] R13: dead000000000100 R14: ffff888407d122f8 R15: ffffffff822486e0
<4> [444.490979] FS:  00007f52cdf27e40(0000) GS:ffff88844b900000(0000) knlGS:0000000000000000
<4> [444.490985] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [444.490991] CR2: 00007f7664df75a0 CR3: 00000003f06cc005 CR4: 00000000003606e0
<4> [444.490995] Call Trace:
<4> [444.491011]  debug_check_no_obj_freed+0x1dc/0x210
<4> [444.491035]  __free_pages_ok+0x1a9/0x7c0
<4> [444.491244]  ? i915_driver_release+0x5e/0x70 [i915]
<4> [444.491260]  ? rcu_read_lock_sched_held+0x4d/0x80
<4> [444.491428]  i915_driver_release+0x5e/0x70 [i915]
<4> [444.491595]  i915_pci_probe+0xa3/0x1b0 [i915]
<4> [444.491614]  pci_device_probe+0x9e/0x120
<4> [444.491631]  really_probe+0xea/0x420
<4> [444.491646]  driver_probe_device+0x10b/0x120
<4> [444.491658]  device_driver_attach+0x4a/0x50
<4> [444.491670]  __driver_attach+0x97/0x130
<4> [444.491682]  ? device_driver_attach+0x50/0x50
<4> [444.491691]  bus_for_each_dev+0x74/0xc0
<4> [444.491706]  bus_add_driver+0x142/0x220
<4> [444.491714]  ? 0xffffffffa088f000
<4> [444.491725]  driver_register+0x56/0xf0
<4> [444.491733]  ? 0xffffffffa088f000
<4> [444.491741]  do_one_initcall+0x58/0x2ff
<4> [444.491753]  ? rcu_read_lock_sched_held+0x4d/0x80
<4> [444.491765]  ? kmem_cache_alloc_trace+0x290/0x2c0
<4> [444.491784]  do_init_module+0x56/0x1f8
<4> [444.491796]  load_module+0x243e/0x29f0
<4> [444.491847]  ? __do_sys_finit_module+0xe9/0x110
<4> [444.491854]  __do_sys_finit_module+0xe9/0x110
<4> [444.491887]  do_syscall_64+0x4f/0x210
<4> [444.491900]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [444.491907] RIP: 0033:0x7f52cd5de839
<4> [444.491916] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4> [444.491922] RSP: 002b:00007fff1300ad08 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4> [444.491929] RAX: ffffffffffffffda RBX: 0000564c4f653140 RCX: 00007f52cd5de839
<4> [444.491935] RDX: 0000000000000000 RSI: 0000564c4f6499d0 RDI: 0000000000000006
<4> [444.491940] RBP: 0000564c4f6499d0 R08: 0000000000000004 R09: 0000564c4f654bb0
<4> [444.491945] R10: 00007fff1300ae50 R11: 0000000000000246 R12: 0000000000000000
<4> [444.491951] R13: 0000564c4f645000 R14: 0000000000000020 R15: 0000000000000047
<4> [444.491979] irq event stamp: 23690918
<4> [444.491988] hardirqs last  enabled at (23690917): [<ffffffff81129119>] console_unlock+0x4c9/0x5b0
<4> [444.491996] hardirqs last disabled at (23690918): [<ffffffff81001bba>] trace_hardirqs_off_thunk+0x1a/0x20
<4> [444.492004] softirqs last  enabled at (23690472): [<ffffffff81c00385>] __do_softirq+0x385/0x47f
<4> [444.492012] softirqs last disabled at (23690465): [<ffffffff810b7eaa>] irq_exit+0xba/0xc0
<4> [444.492017] ---[ end trace 413db263277e611e ]---
<4> [444.492250] i915: probe of 0000:00:02.0 failed with error -25
<6> [444.741423] [IGT] i915_selftest: exiting, ret=0
Comment 1 CI Bug Log 2019-10-14 10:44:52 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CML: igt@i915_selftest@live_requests - dmesg-warn - ODEBUG: free active (active state 0) object type: timer_list hint: delayed_work_timer_fn+0x0/0x10
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7073/fi-cml-u2/igt@i915_selftest@live_requests.html
Comment 2 Chris Wilson 2019-10-14 10:51:12 UTC
Unfortunately there are lots of delayed_work inside drm_i915_private it could be.
Comment 3 Chris Wilson 2019-11-15 16:51:54 UTC
commit dea397e818b18f688734802465e45a35a976d4df
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Nov 15 15:08:39 2019 +0000

    drm/i915/gt: Flush retire.work timer object on unload
    
    We need to wait until the timer object is marked as deactivated before
    unloading, so follow up our gentle cancel_delayed_work() with the
    synchronous variant to ensure it is flushed off a remote cpu before we
    mark the memory as freed.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111994
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20191115150841.880349-1-chris@chris-wilson.co.uk


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.